## org.eclipse.emf.workspace.examples.extlibrary.domain
Class CommandStackExceptionHandler

    java.lang.Object
      org.eclipse.emf.workspace.examples.extlibrary.domain.CommandStackExceptionHandler

All Implemented Interfaces:
  ExceptionHandler

    public class CommandStackExceptionHandler

extends Object
implements ExceptionHandler

An exception handler for the shared editing domain's command stack, that shows errors in a pop-up dialog.

Constructor Summary
`CommandStackExceptionHandler()`

Method Summary
`void` `handleException(Exception e)` Handles the specified exception in some way.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommandStackExceptionHandler

    public CommandStackExceptionHandler()

Method Detail

### handleException

    public void handleException(Exception e)

  Description copied from interface: `ExceptionHandler`
  Handles the specified exception in some way.

  Specified by:
    `handleException` in interface `ExceptionHandler`
  Parameters:
    `e` - the exception that occurred. The `RollbackException` is the most interesting exception type that is likely to occur

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.